Skip to main content
GET
Search posts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

targetId
string

ID of the target.

Maximum string length: 900
targetType
enum<string>
required

Type of the target.

  • community - Community
  • user - User
  • content - Content
Available options:
community,
user,
content
sortBy
enum<string>
default:lastCreated

Sort order for posts.

Available options:
lastCreated,
firstCreated,
lastUpdated,
firstUpdated
hasFlag
boolean

Filter by flag status

isDeleted
boolean

Filter by deleted status

feedType
enum<string>

Feed type to filter

Available options:
reviewing,
published,
declined
Example:

"published"

dataTypes
enum<string>[]

Post data type to filter (include child posts too).

Required array length: 1 - 6 elements
Available options:
video,
image,
file,
liveStream,
poll,
clip
Maximum string length: 100
tags
string[]

tags

Maximum array length: 5
hashtags
string[]

Filter posts by hashtags. Only letter characters, numbers and underscores are allowed. Case-insensitive matching. Also, tags and hashtags is a different thing. Tags are used to categorize posts, while hashtags are used to tag content with relevant keywords or phrases.

Maximum array length: 30
Maximum string length: 100
Pattern: ^[\p{L}\p{N}_]+$
Example:
matchingOnlyParentPost
boolean
default:true

An option to filter only parent post. If true will return only parent post, else will return both parent and child posts

options[limit]
integer
default:10

Page size

Required range: 1 <= x <= 100
Example:

"options[limit]=5"

options[after]
string

Cursor value to get records after

Maximum string length: 24
options[before]
string

Cursor value to get records before

Maximum string length: 24
options[updatedAt]
string

Use updatedAt when sorting by first or last updated

Maximum string length: 30
options[token]
string

Pagination token

Maximum string length: 1000
Example:

"options[token]=eyJza2lwIjoyMCwibGlABDFRffewfQ=="

Response

Post Information

posts
object[]
postChildren
object[]
comments
object[]
users
object[]
files
object[]
communities
object[]
communityUsers
object[]
categories
object[]
feeds
object[]
videoStreamings
object[]
paging
object